org.optaplanner.core.config.phase.custom

## Class CustomPhaseConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.phase.PhaseConfig<CustomPhaseConfig>
    - - org.optaplanner.core.config.phase.custom.CustomPhaseConfig

-     public class CustomPhaseConfig
      extends PhaseConfig<CustomPhaseConfig>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Class<? extends CustomPhaseCommand>>` | `customPhaseCommandClassList`
    `protected Map<String,String>` | `customProperties`
    `protected Boolean` | `forceUpdateBestSolution`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomPhaseConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomPhase` | `buildPhase(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)`
    `List<Class<? extends CustomPhaseCommand>>` | `getCustomPhaseCommandClassList()`
    `Map<String,String>` | `getCustomProperties()`
    `Boolean` | `getForceUpdateBestSolution()`
    `void` | `inherit(CustomPhaseConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setCustomPhaseCommandClassList(List<Class<? extends CustomPhaseCommand>> customPhaseCommandClassList)`
    `void` | `setCustomProperties(Map<String,String> customProperties)`
    `void` | `setForceUpdateBestSolution(Boolean forceUpdateBestSolution)`

    - ### Methods inherited from class org.optaplanner.core.config.phase.PhaseConfig

      `buildPhaseTermination, getTerminationConfig, setTerminationConfig, toString`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `copyConfig, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### customPhaseCommandClassList

          protected List<Class<? extends CustomPhaseCommand>> customPhaseCommandClassList

    - #### customProperties

          @XStreamConverter(value=KeyAsElementMapConverter.class)
          protected Map<String,String> customProperties

    - #### forceUpdateBestSolution

          protected Boolean forceUpdateBestSolution

  - ### Constructor Detail

    - #### CustomPhaseConfig

          public CustomPhaseConfig()

  - ### Method Detail

    - #### getCustomPhaseCommandClassList

          public List<Class<? extends CustomPhaseCommand>> getCustomPhaseCommandClassList()

    - #### setCustomPhaseCommandClassList

          public void setCustomPhaseCommandClassList(List<Class<? extends CustomPhaseCommand>> customPhaseCommandClassList)

    - #### getCustomProperties

          public Map<String,String> getCustomProperties()

    - #### setCustomProperties

          public void setCustomProperties(Map<String,String> customProperties)

    - #### getForceUpdateBestSolution

          public Boolean getForceUpdateBestSolution()

    - #### setForceUpdateBestSolution

          public void setForceUpdateBestSolution(Boolean forceUpdateBestSolution)

    - #### buildPhase

          public CustomPhase buildPhase(int phaseIndex,
                                        HeuristicConfigPolicy solverConfigPolicy,
                                        BestSolutionRecaller bestSolutionRecaller,
                                        Termination solverTermination)

      Specified by:
        `buildPhase` in class `PhaseConfig<CustomPhaseConfig>`

    - #### inherit

          public void inherit(CustomPhaseConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `PhaseConfig<CustomPhaseConfig>`
      Parameters:
        `inheritedConfig` - never null

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.